Attribute VB_Name = "modMain"
Option Explicit

Private m_objGetVersion                As cGetVersion
Private m_blnIsWin98                   As Boolean
Private m_blnIsWinNT                   As Boolean
Private m_blnIsWin2000                 As Boolean

Public Function IsWin98() As Boolean
   IsWin98 = m_blnIsWin98
End Function

Public Function IsWinNT() As Boolean
   IsWinNT = m_blnIsWinNT
End Function

Public Function IsWin2000() As Boolean
   IsWin2000 = m_blnIsWin2000
End Function

Public Sub Main()
   Dim p_typOS                         As enmValidOSs
   Dim p_blnGoodOS                     As Boolean
   Dim p_strVersionText                As String
   Dim p_lngLenComputerName            As Long
   Dim p_lngRtn                        As Long
   
   Set m_objGetVersion = New cGetVersion
   
   If m_objGetVersion.IsValidOS() = True Then
      p_typOS = m_objGetVersion.TypeValidOS
      
      Select Case p_typOS
         Case Valid_NT
            p_strVersionText = m_objGetVersion.OS_VersionText()
            p_blnGoodOS = True
            m_blnIsWin98 = False
            m_blnIsWinNT = True
            m_blnIsWin2000 = False
         Case Valid_Win2000
            p_strVersionText = m_objGetVersion.OS_VersionText()
            p_blnGoodOS = True
            m_blnIsWin98 = False
            m_blnIsWinNT = False
            m_blnIsWin2000 = True
         Case Valid_Win98
            p_strVersionText = m_objGetVersion.OS_VersionText()
            p_blnGoodOS = True
            m_blnIsWin98 = True
            m_blnIsWinNT = False
            m_blnIsWin2000 = False
         Case Else
            p_strVersionText = "Invalid OS running: " & m_objGetVersion.OS_TypeError()
            p_blnGoodOS = False
      End Select
         
   Else
      p_strVersionText = "Invalid OS running: " & m_objGetVersion.OS_TypeError()
      p_blnGoodOS = False
   End If

   If p_blnGoodOS = True Then
      frmWmiDemo.Show Modal:=vbModeless
   End If
   
End Sub
